#include "Battle/Defense.h"

#include <Player/Player.h>
#include <Ship/Ship.h>

#include <iostream>

Action::Status Defense::operator()(Player* player, Ship*) {
    player->getShip().increaseArmor(50);
    std::cout << "Player ship: " << player->getShip().name() << " defense\n";

    return Status::Nothing;
}
